#
# Copyright (c) 2002 The University of Utah and the Flux Group.
# All rights reserved.
# 
# This file is part of the JanosVM.
# 
# Permission to use, copy, modify, distribute, and sell this
# documentation for any purpose is hereby granted without fee,
# provided that the above copyright notice(s) appear in all copies.
#
# Author: Tim Stack
#

from janosvm import *

class Machine:
    def __init__(self, jvm):
        self.jvm = jvm
        self.jvm.msg.pushSpecifier("machine")

    def getName(self):
        self.jvm.msg.setWhat(JSI_GET_PROPERTY)
        self.jvm.msg.pushSpecifier("name")
        reply = self.jvm.send()
        return reply.find("result")
